Get item offer template
curl --request GET \
--url https://api.gameboost.com/v2/item-offers/templates/{game} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/item-offers/templates/{game}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/item-offers/templates/{game}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template": {
"game": "league-of-legends",
"title": "Sample Item Offer Title",
"slug": "(optional) sample-item-offer-slug",
"description": "Sample description of the item offer.",
"price": 10.99,
"stock": 100,
"min_quantity": 1,
"delivery_time": {
"duration": 30,
"unit": "minutes/hours/days"
},
"delivery_instructions": "(optional) Sample delivery instructions",
"delivery_method": "(optional, nullable) none/username/login/trade/auction/gift/redeem/mail",
"excluded_delivery_fields": [
"username"
],
"delivery_method_options": [
{}
],
"image_urls": [
"http://example.com/sample-image.jpg"
],
"item_data": {}
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Item Offers
Get item offer template
Retrieve a game-specific template with all required and optional fields for creating an item offer for the specified game.
GET
/
v2
/
item-offers
/
templates
/
{game}
Get item offer template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The slug of the game. Can be retrieved from the list of games.
Response
Item offer creation template for a specific game
Show child attributes
Show child attributes
Was this page helpful?
⌘I